Name:           perl-Net-FTPServer
Version:        1.125
Release:        6%{?dist}
Summary:        Secure, extensible and configurable Perl FTP server
License:        GPLv2+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-FTPServer/
Source0:        http://www.cpan.org/authors/id/R/RY/RYOCHIN/Net-FTPServer-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(Carp::Heavy)
BuildRequires:  perl(Config)
BuildRequires:  perl(DBI)
BuildRequires:  perl(Errno)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(FileHandle)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(IO::Dir)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(IO::Scalar) >= 1.126
BuildRequires:  perl(IO::Seekable)
BuildRequires:  perl(IO::Select)
BuildRequires:  perl(IO::Socket)
BuildRequires:  perl(IPC::Open2)
BuildRequires:  perl(Net::FTP)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Socket)
BuildRequires:  perl(strict)
BuildRequires:  perl(Sys::Hostname)
BuildRequires:  perl(Sys::Syslog)
BuildRequires:  perl(vars)
# Optional run-time:
BuildRequires:  perl(Archive::Zip)
BuildRequires:  perl(Authen::PAM)
BuildRequires:  perl(BSD::Resource)
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(File::Sync)
# Tests:
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IO::Socket::INET)
BuildRequires:  perl(Test)
BuildRequires:  perl(Test::More)
# Optional tests:
BuildRequires:  perl(Compress::Zlib)
BuildRequires:  %{_bindir}/uudecode
BuildRequires:  %{_bindir}/compress
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
# Optional run-time:
Requires:       perl(Archive::Zip)
Requires:       perl(Authen::PAM)
Requires:       perl(BSD::Resource)
Requires:       perl(Digest::MD5)
Requires:       perl(File::Sync)
Requires:       perl(IO::Scalar) >= 1.126

# Filter under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(IO::Scalar\\)$

%description
Net::FTPServer is a secure, extensible and configurable FTP server
written in Perl.

This package contains the Perl modules. Install the perl-ftpd package for
the server executables.

%package -n perl-ftpd
Summary:        Secure, extensible and configurable Perl FTP server
Group:          System Environment/Daemons
Requires:       %{name} = %{version}-%{release}

%description -n perl-ftpd
Net::FTPServer is a secure, extensible and configurable FTP server
written in Perl.

This package contains server executables.

%prep
%setup -q -n Net-FTPServer-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT

# Daemon configuration file
install -m 644 -D etc/ftpd.conf $RPM_BUILD_ROOT%{_sysconfdir}/ftpd.conf

# Want the daemon in sbin rather than bin
[ ! -d $RPM_BUILD_ROOT%{_sbindir} ] \
    && mv -f $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_sbindir}

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS Changes COPYING README TODO doc/
%{perl_vendorlib}/Net/
%{_mandir}/man3/Net::FTPServer.3pm*
%{_mandir}/man3/Net::FTPServer::DBeg1::DirHandle.3pm*
%{_mandir}/man3/Net::FTPServer::DBeg1::FileHandle.3pm*
%{_mandir}/man3/Net::FTPServer::DBeg1::IOBlob.3pm*
%{_mandir}/man3/Net::FTPServer::DBeg1::Server.3pm*
%{_mandir}/man3/Net::FTPServer::DirHandle.3pm*
%{_mandir}/man3/Net::FTPServer::FileHandle.3pm*
%{_mandir}/man3/Net::FTPServer::Full::DirHandle.3pm*
%{_mandir}/man3/Net::FTPServer::Full::FileHandle.3pm*
%{_mandir}/man3/Net::FTPServer::Full::Server.3pm*
%{_mandir}/man3/Net::FTPServer::Handle.3pm*
%{_mandir}/man3/Net::FTPServer::InMem::DirHandle.3pm*
%{_mandir}/man3/Net::FTPServer::InMem::FileHandle.3pm*
%{_mandir}/man3/Net::FTPServer::InMem::Server.3pm*
%{_mandir}/man3/Net::FTPServer::Proxy::DirHandle.3pm*
%{_mandir}/man3/Net::FTPServer::Proxy::FileHandle.3pm*
%{_mandir}/man3/Net::FTPServer::Proxy::Server.3pm*
%{_mandir}/man3/Net::FTPServer::RO::DirHandle.3pm*
%{_mandir}/man3/Net::FTPServer::RO::FileHandle.3pm*
%{_mandir}/man3/Net::FTPServer::RO::Server.3pm*

%files -n perl-ftpd
%config(noreplace) %{_sysconfdir}/ftpd.conf
%{_sbindir}/dbeg1-ftpd.pl
%{_sbindir}/ftpd.pl
%{_sbindir}/inmem-ftpd.pl
%{_sbindir}/proxy-ftpd.pl
%{_sbindir}/ro-ftpd.pl

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.125-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.125-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 05 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.125-4
- Perl 5.22 rebuild

* Thu Aug 28 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.125-3
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.125-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Oct  8 2013 Paul Howarth <paul@city-fan.org> - 1.125-1
- Update to 1.125
  - Maintainer changed
  - Organized document and package files
  - Fixed pod format errors
  - New repository: https://github.com/ryochin/p5-net-ftpserver
  - Added a workaround to make sure to cause abort by SIGURG in t/240abort.t
    (CPAN RT#21261)
  - Fixed a bug that MLST command treated DirHandle as FileHandle
    (CPAN RT#27640)
  - Fixed a bug that ls -l command doesn't show a directory named '0'
    (CPAN RT#29503)
  - Fixed a problem that extra large file sizes were not displayed correctly
    because of integer digit overflow (CPAN RT#35332)
  - Fixed a problem caused by a Constant.pm internal change, affecting
    Archive::Zip (CPAN RT#35698)
  - Fixed a problem that Archive::Zip::Member::setLastModFileDateTimeFromUnix()
    doesn't accept 0 (CPAN RT#35698)
  - Addressed an issue that ftpd.conf had been installed despite lack of write
    permission to sysconfdir (CPAN RT#81130)
  - Added a message that Win32 platform is not supported (CPAN RT#81136)
  - Switched to Test::More for better installation process
  - Supported cpantesters and added other small changes
  - Tweaked t/240abort.t to skip when BSD::Resource is not installed, to avoid
    test errors on OpenBSD/Solaris at cpantesters
  - Improved an error message when using chroot feature by non-root users with
    Full personality
- This release by RYOCHIN -> update source URL
- Drop upstreamed patch and hacks for CPAN RT#35698
- Drop %%defattr, redundant since rpm 4.4
- Simplify %%install
- Run the test suite
- Make %%files list more explicit
- Don't use macros for commands
- Drop redundant recoding of documentation

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.122-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 24 2013 Petr Pisar <ppisar@redhat.com> - 1.122-20
- Perl 5.18 rebuild
- Specify all dependencies

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.122-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Aug  6 2012 Marcela Mašláňová <mmaslano@redhat.com> - 1.122-18
- applied patch from RT#35698. Tests were fixed by this change.
- switch off tests. Sometimes they passed in scratch build, sometimes failed.
  One reason could be old bug RT#21261.

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.122-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jun 16 2012 Petr Pisar <ppisar@redhat.com> - 1.122-16
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.122-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Sep 13 2011 Petr Pisar <ppisar@redhat.com> - 1.122-14
- Build-require Carp because Carp dual-lives now (bug #736768)

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 1.122-13
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.122-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.122-11
- Rebuild to fix problems with vendorarch/lib (#661697_

* Tue Dec 14 2010 Steven Pritchard <steve@kspei.com> 1.122-10
- Rebuild.

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.122-9
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.122-8
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.122-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.122-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat May 17 2008 Steven Pritchard <steve@kspei.com> 1.122-5
- Improve descriptions.
- Mark ftpd.conf config(noreplace).
- Drop bin/ and ftpd.conf from main package docs.
- Set permissions on ftpd.conf properly.

* Fri May 09 2008 Steven Pritchard <steve@kspei.com> 1.122-4
- Add perl-ftpd subpackage.
- License is really GPLv2+.

* Fri May 09 2008 Steven Pritchard <steve@kspei.com> 1.122-3
- Convert README to UTF-8.

* Wed May 07 2008 Steven Pritchard <steve@kspei.com> 1.122-2
- Update License tag.
- BR uudecode, compress.
- Fix a problem with using constants from Archive::Zip
  (http://rt.cpan.org/Ticket/Display.html?id=35698).
- Remove both _bindir and _sbindir to be safe.

* Mon Jul 16 2007 Steven Pritchard <steve@kspei.com> 1.122-1
- Specfile autogenerated by cpanspec 1.73.
- Fix License and doc list.
- Package scripts as examples.
- BR Archive::Zip, Authen::PAM, Compress::Zlib, DBI, and File::Sync.
- Require Authen::PAM and File::Sync.
- Remove .cvsignore files.
